{% load humanize %}

<div class="block-h1">
  <div class="nav-btns">
    <div class="btn-back"><a href="{% url 'base:observations_list' %}">{% trans "Назад" %}</a></div>
    <div class="btn-to-obs">
      <a href="{% url 'base:observation_view' observation_id=observation.id %}">{% trans "К наблюдению" %}</a>
    </div>
  </div>
  <h1>
    {% trans "Наблюдение" %} <span class="color-blue">#{{ observation.id }}</span>
    {% if from_vetting %}
    <button id="copy-link-btn"
      data-permalink="{% url 'base:observation_view' observation_id=observation.id %}"
      class="btn btn-outline-gray btn-sm">
      <img src="{% static '/img/btn-link.svg' %}"
        alt="{% trans 'Копировать ссылку' %}">{% trans "Копировать ссылку" %}
    </button>
    {% endif %}
  </h1>
  <div class="row subtitle">
    <div class="utc-text"><span class="bi bi-clock"> {% trans "Время указано в UTC" %}</span></div>
  </div>
</div>
<div class="block-observation-data">
  <div class="container-observation-data">
    <div class="row content">
      <div class="col information-block">
        <div class="information-block__table">
          <div class="row">
            <div class="title">{% trans "Спутник" %}</div>
            <div class="description description-link">
              <a href="#"
                data-toggle="modal"
                data-target="#SatelliteModal"
                data-id="{{ observation.satellite.norad_cat_id }}"
                data-sat-id="{{ observation.satellite.sat_id }}">
                {{ observation.satellite.norad_cat_id }} - {{ observation.satellite.name }}
              </a>
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Станция" %}</div>
            <div class="description description-link">
              {% if observation.ground_station %}
              <a href="{% url 'base:station_view' station_id=observation.ground_station.id %}">
                {{ observation.ground_station.id }} - {{ observation.ground_station.name }}
              </a>
              {% else %}
              <div class="empty-val"></div>
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Владелец станций" %}</div>
            <div class="description description-link">
              {% if observation.ground_station.owner %}
              <a href="{% url 'users:view_user' username=observation.ground_station.owner.username %}">
                {{ observation.ground_station.owner.displayname }}
              </a>
              {% else %}
              <div class="empty-val"></div>
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Наблюдатель" %}</div>
            <div class="description description-link">
              {% if observation.author %}
              <a
                href="{% url 'users:view_user' username=observation.author.username %}">{{ observation.author.displayname }}</a>
              {% else %}
              <div class="empty-val"></div>
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Статус" %}</div>
            <div class="description">
              {% if observation.is_future %}
              <div class="status-br status-future"
                title="{%trans 'Будущее' %}"></div>
              {% elif observation.status < -100 %}
              <div class="status-br status-failed"
                title="{% trans 'Не состоялось' %}"></div>
              {% elif observation.status >= -100 and observation.status < 0 %}
              <div class="status-br status-error"
                title="{% trans 'Плохой' %}"></div>
              {% elif observation.status >= 0 and observation.status < 100 %}
              <div class="status-br status-unknown"
                title="{% trans 'Неизвестный' %}"></div>
              {% elif observation.status >= 100 %}
              <div class="status-br status-success"
                title="{% trans 'Успешный' %}"></div>
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Передатчик" %}</div>
            <div class="description">{{ observation.transmitter.description }}</div>
          </div>
          <div class="row">
            <div class="title">{% trans "Статус передатчика" %}</div>
            <div class="description">
              {% if observation.transmitter.status is None %}
              {% trans "Неизвестный" %}
              {% elif not observation.transmitter.status %}
              {% trans "Неактивный" %}
              {% else %}
              {% trans "Активный" %}
              {% endif %}
            </div>
          </div>
          {% if observation.transmitter.unconfirmed %}
          <div class="row">
            <div class="title">{% trans "Нарушитель частоты" %}</div>
            <div class="description">{% trans "Да" %}</div>
          </div>
          {% endif %}
          <div class="row">
            <div class="title">{% trans "Частота передатчика" %}</div>
            <div class="description">
              {% if observation.transmitter.downlink_high %}
              {{ observation.transmitter.downlink_low|frq }} - {{ observation.transmitter.downlink_high|frq }}
              {% else %}
              {{ observation.transmitter.downlink_low|frq }}
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Частота наблюдения" %}</div>
            <div class="description">
              {% if observation.center_frequency %}
              {{ observation.center_frequency|frq }}
              {% elif observation.transmitter.downlink_drift %}
              {% drifted_frq observation.transmitter.downlink_low observation.transmitter.downlink_drift as drifted_frequency %}
              {{ drifted_frequency|frq }}
              {% else %}
              {{ observation.transmitter.downlink_low|frq }}
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Модуляция передатчика" %}</div>
            <div class="description">
              {{ observation.transmitter.downlink_mode|default:"-" }}
              {{ observation.transmitter.baud|floatformat|default:"" }}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Время" %}</div>
            <div class="description timerow">
              <span data-toggle="tooltip"
                data-placement="bottom"
                title="{{ observation.start|naturaltime_our }}"
                class="datarow">
                <span>{{ observation.start|date:"Y-m-d" }} </span>
                <span>{{ observation.start|date:"H:i:s" }}</span>
              </span>
              <span data-toggle="tooltip"
                data-placement="bottom"
                title="{{ observation.end|naturaltime_our }}"
                class="datarow">
                <span>{{ observation.end|date:"Y-m-d" }} </span>
                <span>{{ observation.end|date:"H:i:s" }}</span>
              </span>
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Восход" %}</div>
            <div class="description">
              <span class="circle circle-green"></span>{{ observation.rise_azimuth }}°
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Максимум" %}</div>
            <div class="description">{{ observation.max_altitude }}°</div>
          </div>
          <div class="row">
            <div class="title">{% trans "Заход" %}</div>
            <div class="description">
              <span class="circle circle-red"></span>{{ observation.set_azimuth }}°
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Версия клиента" %}</div>
            <div class="description">
              {% if observation.client_version %}
              {{ observation.client_version }}
              {% else %}
              <div class="empty-val"></div>
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="title">{% trans "Полярный график" %}</div>
            <div class="description">
              <div id="polar_plot">
                <svg xmlns="http://www.w3.org/2000/svg"
                  version="1.1"
                  id="polar"
                  data-tle1="{{ observation.tle.tle1 }}"
                  data-tle2="{{ observation.tle.tle2 }}"
                  data-timeframe-start="{{ observation.start|date:"c" }}"
                  data-timeframe-end="{{ observation.end|date:"c" }}"
                  data-groundstation-lat="{{ observation.ground_station.lat }}"
                  data-groundstation-lon="{{ observation.ground_station.lng }}"
                  data-groundstation-alt="{{ observation.ground_station.alt }}"
                  width="120px"
                  height="120px"
                  viewBox="-110 -110 220 220"
                  overflow="hidden">
                  <path class="change_stroke"
                    fill="none"
                    stroke="white"
                    stroke-width="1"
                    d="M 0 -95 v 190 M -95 0 h 190" />
                  <circle class="change_stroke"
                    fill="none"
                    stroke="white"
                    cx="0"
                    cy="0"
                    r="30" />
                  <circle class="change_stroke"
                    fill="none"
                    stroke="white"
                    cx="0"
                    cy="0"
                    r="60" />
                  <circle class="change_stroke"
                    fill="none"
                    stroke="white"
                    cx="0"
                    cy="0"
                    r="90" />
                  <text class="change_fill"
                    x="-4"
                    y="-96"
                    fill="white">{% trans 'С' %}</text>
                  <text class="change_fill"
                    x="-4"
                    y="105"
                    fill="white">{%trans 'Ю' %}</text>
                  <text class="change_fill"
                    x="96"
                    y="4"
                    fill="white">{% trans 'В' %}</text>
                  <text class="change_fill"
                    x="-106"
                    y="4"
                    fill="white">{% trans 'З' %}</text>
                </svg>
              </div>
            </div>
          </div>
          {% if observation.has_audio or observation.has_waterfall %}
          <div class="row">
            <div class="title">{% trans "Загрузки" %}</div>
            <div class="description">
              {% if observation.has_audio and observation.audio_url %}
              <a href="{{ observation.audio_url }}"
                target="_blank"
                download=""
                class="btn btn-sm btn-outline-gray">
                <img src="{% static 'img/ico-download.svg' %}"
                  alt="{% trans 'Скачать' %}">
                {% trans "Аудио" %}
              </a>
              {% endif %}
              {% if observation.waterfall %}
              <a href="{{ observation.waterfall.url }}"
                target="_blank"
                download=""
                class="btn btn-sm btn-outline-gray">
                <img src="{% static 'img/ico-download.svg' %}"
                  alt="{% trans 'Скачать' %}">
                {% trans "Водопад" %}
              </a>
              {% endif %}
            </div>
          </div>
          {% endif %}
        </div>
      </div>
      <div class="col waterfall-block">
        <ul class="nav-tabs">
          <li class="nav-item active">
            <a href="#waterfall-tab"
              type="button"
              data-toggle="tab"
              data-parent-tab="observationTabContent"
              data-target-tab="waterfall-tab">{% trans "Водопад" %}</a>
          </li>
          <li class="nav-item">
            <a href="#audio-tab"
              type="button"
              data-toggle="tab"
              data-parent-tab="observationTabContent"
              data-target-tab="audio-tab">{% trans "Аудиозапись" %}</a>
          </li>
          {% if demoddata_count > 0 %}
          <li class="nav-item ">
            <a href="#data-tab"
              type="button"
              data-toggle="tab"
              data-parent-tab="observationTabContent"
              data-target-tab="data-tab">{% trans "Данные" %}
              <span class="badget badget-small badget-orange">{{ demoddata_count }}</span>
            </a>
          </li>
          {% endif %}
          {% if image_count > 0 %}
          <li class="nav-item ">
            <a href="#image-tab"
              type="button"
              data-toggle="tab"
              data-parent-tab="observationTabContent"
              data-target-tab="image-tab">{% trans "Фотографии" %}
              <span class="badget badget-small badget-orange">{{ image_count }}</span>
            </a>
          </li>
          {% endif %}
          <li class="nav-item">
            <a href="#metadata-tab"
              type="button"
              data-toggle="tab"
              data-parent-tab="observationTabContent"
              data-target-tab="metadata-tab">{% trans "Метаданные" %}</a>
          </li>
        </ul>
        <div id="observationTabContent"
          class="tab-content">
          <div id="waterfall-tab"
            class="tab-pane active">
            {% if observation.has_waterfall %}
            <div {% if observation.waterfall_status == True %}class="status-br status-success"
              title="{% trans 'Успешный' %}"
              {% elif observation.waterfall_status == False %}class="status-br status-error"
              title="{% trans 'Плохой' %}"
              {% else %}class="status-br status-unknown"
              title="{% trans 'Неизвестный' %}"
              {% endif %}>
            </div>
            {% endif %}
            <div class="vet-info">
              <div class="row">
                <div class="col">{% trans "Станция" %}:</div>
                <div class="col">{{ observation.ground_station.id }} - {{ observation.ground_station.name }}
                </div>
              </div>
              <div class="row">
                <div class="col">{% trans "Спутник" %}:</div>
                <div class="col">{{ observation.satellite.norad_cat_id }} - {{ observation.satellite.name }}
                </div>
              </div>
              <div class="row">
                <div class="col">{% trans "Передатчик"%}:</div>
                <div class="col">{{ observation.transmitter.description }}</div>
              </div>
              <div class="row">
                <div class="col">{% trans "Частота наблюдения" %}:</div>
                <div class="col">
                  {% if observation.center_frequency %}
                  {{ observation.center_frequency|frq }}
                  {% elif observation.transmitter.downlink_drift %}
                  {% drifted_frq observation.transmitter.downlink_low observation.transmitter.downlink_drift as drifted_frequency %}
                  {{ drifted_frequency|frq }}
                  {% else %}
                  {{ observation.transmitter.downlink_low|frq }}
                  {% endif %}
                </div>
              </div>
              <div class="row obs-time">
                <div class="col">{{ observation.start|date:"Y-m-d" }} {{ observation.start|date:"H:i:s" }}
                </div>
                <div class="col">{{ observation.end|date:"Y-m-d" }} {{ observation.end|date:"H:i:s" }}</div>
              </div>
              <div class="row obs-param">
                <div class="col">
                  <span class="text-green">⤉</span> {{ observation.rise_azimuth }}°
                </div>
                <div class="col">
                  <span class="text-orange">⇴</span> {{ observation.max_altitude }}°
                </div>
                <div class="col">
                  <span class="text-red">⤈</span> {{ observation.set_azimuth }}°
                </div>
              </div>
            </div>
            {% if observation.has_waterfall %}
            <div class="d-flex justify-content-between waterfall-info">
              <div class="d-flex align-items-center">
                <span>{% trans "Сигнал на водопаде" %}</span>
                {% if observation.waterfall_status == True %}
                <span id="waterfall-status-badge"
                  class="badget badget-big badget-green">{% trans "Есть сигнал" %}</span>
                {% elif observation.waterfall_status == False %}
                <span id="waterfall-status-badge"
                  class="badget badget-big badget-red">{% trans "Нет сигнала" %}</span>
                {% else %}
                <span id="waterfall-status-badge"
                  class="badget badget-big badget-orange">{% trans "Неизвестно" %}</span>
                {% endif %}
                <a data-target="#modalobservationsInfo"
                  data-toggle="modal"
                  class="btn btn-sm btn-outline-gray"
                  data-target-type="modal"><span class="bi bi-info-circle"></span></a>
              </div>
              {% if can_vet %}
              <div id="waterfall-status-form"
                class="d-flex">
                <form class="d-none">{% csrf_token %}</form>
                <button id="unknown-status"
                  type="button"
                  title="{% trans 'Неизвестный (u)' %}"
                  class="btn btn-sm btn-orange {% if observation.waterfall_status is None %}d-none{% endif %}"
                  data-id="{{ observation.id }}"
                  data-status="unknown"
                  data-toggle="tooltip">
                  <i class="bi bi-question-circle"></i>
                </button>
                <button id="with-signal-status"
                  type="button"
                  title="{% trans 'С сигналом (g)' %}"
                  class="btn btn-sm btn-green {% if observation.waterfall_status == True %}d-none{% endif %}"
                  data-id="{{ observation.id }}"
                  data-status="with-signal"
                  data-toggle="tooltip">
                  <i class="bi bi-check"></i>
                </button>
                <button id="without-signal-status"
                  type="button"
                  title="{% trans 'Без сигнала (b)' %}"
                  class="btn btn-sm btn-red {% if observation.waterfall_status == False %}d-none{% endif %}"
                  data-id="{{ observation.id }}"
                  data-status="without-signal"
                  data-toggle="tooltip">
                  <i class="bi bi-x"></i>
                </button>
                <button type="button"
                  title="{% trans 'Информация' %}"
                  class="btn btn-sm btn-blue btn-info"
                  data-toggle="tooltip">?
                </button>
              </div>
              {% endif %}
            </div>
            <a href="{{ observation.waterfall.url  }}"
              data-fancybox="waterfall"
              class="sputnik-img-link">
              <img src="{{ observation.waterfall.url }}"
                alt="waterfall"
                class="waterfall-img">
            </a>
            {% else %}
            <div class="description">{% trans "Ожидаем получение водопада" %}...</div>
            {% endif %}
          </div>
          <div id="audio-tab"
            class="tab-pane">
            {% if observation.has_audio %}
            {% if observation.audio_url %}
            <select name="wave-zoom"
              id="wave-zoom">
              <option selected
                value="map">{% trans "Всё аудио" %}</option>
              <option value="zoom">{% trans "Приближенная дорожка" %}</option>
            </select>
            <div class="wave"
              id="data-{{ observation.id }}"
              data-id="{{ observation.id }}"
              data-audio="{{ observation.audio_url }}">
            </div>
            {% else %}
            <div class="description">{% trans "В настоящий момент аудио недоступно" %}</div>
            {% endif %}
            {% else %}
            <div class="description">{% trans "Ожидаем получение аудио" %}...</div>
            {% endif %}
          </div>
          {% if demoddata_count > 0 %}
          <div id="data-tab"
            class="tab-pane">
            {% if show_hex_to_ascii_button %}
            <div class="tabs-buttons row justify-content-between">
              <div class="btn-show">
                <button id="load-next-10-button"
                  class="btn btn-sm btn-gray">{% trans "Показать 10" %}</button>
                <button id="load-all-button"
                  class="btn btn-sm btn-blue">{% trans "Показать все" %}</button>
              </div>
              <div class="btn-type">
                <button id="ascii-button"
                  class="btn btn-sm btn-gray">ASCII</button>
                <button id="hex-button"
                  class="btn btn-sm btn-gray active">HEX</button>
                <button id="ax25-button"
                  class="btn btn-sm btn-gray">AX.25</button>
              </div>
            </div>
            <span id="demoddata-spinner">
              <div class="spinner">
                <div class="bounce1"></div>
                <div class="bounce2"></div>
                <div class="bounce3"></div>
              </div>
            </span>
            {% endif %}
            {% for demoddata_entry in demoddata_details %}
            <div class="data demoddata"
              data-type="{{ demoddata_entry.type }}">
              <div class="data__header">
                <a href="{{ demoddata_entry.url }}">{{ demoddata_entry.name }}</a>
              </div>
              <div class="data__body"></div>
            </div>
            {% endfor %}
          </div>
          {% endif %}
          <div id="image-tab"
            class="tab-pane">
            {% if image_count > 0 %}
            {% for demoddata_entry in demoddata_images %}
            <div class="data demoddata"
              data-type="{{ demoddata_entry.type }}">
              <div class="data__header">
                <a href="{{ demoddata_entry.url }}">{{ demoddata_entry.name }}</a>
              </div>
              <div class="data__body"></div>
            </div>
            {% endfor %}
            {% else %}
            <div class="description">{% trans "Фотографий не найдено" %}</div>
            {% endif %}
          </div>
          <div id="metadata-tab"
            class="tab-pane">
            {% if observation.client_metadata %}
            <json-viewer>{{ observation.client_metadata }}</json-viewer>
            {% else %}
            <div class="description">{% trans "Ожидаем получение метаданных" %}...</div>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="waterfall-block__footer">
    {% trans "Используемый TLE получен с" %}&nbsp;{{ observation.tle.tle_source }}
    {{ observation.tle.updated|date:"Y-m-d H:i:s"}}
    <div class="block-copy with-copy-btn">
      <pre id="copytext-dublestring-elements">{{ observation.tle.tle1 }}<br>{{ observation.tle.tle2 }}</pre>
      <img src="/static/img/btn-copy.svg"
        alt="{% trans 'Копировать содержимое' %}"
        title="{% trans 'Копировать' %}"
        data-toggle="tooltip"
        class="btn-copy"
        data-target="copytext-dublestring-elements">
    </div>
  </div>
</div>
